# Find the QUICKCHECK includes on linux systems

# Is SLIP installed? Look for header files
message(STATUS ${CMAKE_SOURCE_DIR})
FIND_PATH(QUICKCHECK_INCLUDE_DIR NAMES quickcheck PATHS "${CMAKE_SOURCE_DIR}/tests")

IF (QUICKCHECK_INCLUDE_DIR)
  set (QUICKCHECK_FOUND TRUE)
  MESSAGE( STATUS "Found quickcheck in: ${QUICKCHECK_INCLUDE_DIR}" )
ENDIF (QUICKCHECK_INCLUDE_DIR)

IF (NOT QUICKCHECK_FOUND AND QUICKCHECK_FIND_REQUIRED)
  MESSAGE(FATAL_ERROR "Could not find quickcheck")
ENDIF (NOT QUICKCHECK_FOUND AND QUICKCHECK_FIND_REQUIRED)
